/// Classe para determinar o tipo de alinhamento que vai ser utilizado na [GertecTsg800.imprimirTexto].
class Alinhamento {
  String _tipoAlinhamento;
  Alinhamento(String tipo) {
    this._tipoAlinhamento = tipo;
  }
  static final Alinhamento esquerda = Alinhamento("LEFT");
  static final Alinhamento centralizado = Alinhamento("CENTER");
  static final Alinhamento direita = Alinhamento("RIGHT");
  get getTipoAlinhamento => this._tipoAlinhamento;
}

/// Classe para determinar o tipo de fonte que vai ser utilizado na [GertecTsg800.imprimirTexto].
class TipofontFamily {
  String _tipoFontFamily;
  TipofontFamily(String tipo) {
    this._tipoFontFamily = tipo;
  }
  static final TipofontFamily monospace = TipofontFamily("MONOSPACE");
  static final TipofontFamily sansSerif = TipofontFamily("SANS SERIF");
  static final TipofontFamily serif = TipofontFamily("SERIF");
  get getTipoFontFamily => this._tipoFontFamily;
}
